Nov 02 AT 10:21 AM Taylor Wimberly 12 Comments

Oops! T-Mobile Cliq ships with OpenGL bug

Owners of the new T-Mobile Cliq might run into some problems when trying to load up some popular Android games. According to a post on the Motodev forums, the Cliq cannot access the OpenGL API VBO (Vertex Buffer Objects). Some developers like Hexage are already reporting that their hit titles Buka and Totemo will not run on the Cliq. Motorola has yet to comment on the issue, but we expect a fix is in the works. The Cliq is currently shipping with the outdated Android 1.5 and it has been rumored that an Android 2.0 update is coming to the Motoblur powered phone.

Taylor is the founder of Android and Me. He resides in Dallas and carries the Samsung Galaxy S 4 and HTC One as his daily devices. Ask him a question on Twitter or Google+ and he is likely to respond. | Ethics statement

    Most Tweeted This Week

  • http://wootroot.com/blog WootRoot

    Thats weird because I could of swore I saw buka on one of the demo cliqs at the motodev summit…

    • http://androidandme.com Taylor Wimberly

      Maybe it was running a different firmware. I’m just going on reports from Hexage and other users. I get my Cliq today so I will try it out myself and see what happens.

      • http://www.nexsoftware.net nEx.Software

        I can confirm this issue on my CLIQ.

        • EricC

          Justin,

          If you can send me those logcat logs that show the API problems, I’ll get them forwarded on to the CLIQ team.

          Thanks

          -E

        • http://wootroot.com/blog WootRoot

          ups should have a cliq at my door within 5 hours so ill try it out, hopefully its only some devices (sorry nex) because i want my buka lol

          i wish i could say for sure if buka was on a demo unit, i just dont remember entirely

  • christoph

    Is this the same problem as on the Samsung Galaxy?

    • http://androidandme.com Taylor Wimberly

      What problems are you having on the Galaxy? I’m sure Hexage would like to hear about it.

  • bill

    The OpenGL ES API in Android 1.6 and below is only guaranteed to be at level 1.0. The VBO extension is not in OpenGL ES 1.0. It is only available if the GPU on the phone adds it in. The HTC G1′s GPU includes VBO support. It is unfortunate for developers to have to deal with anything less than OpenGL ES 1.1, because of the performance enhancing features it brings like VBO. However, I understand Android 2.0 and above will guarantee OpenGL ES 1.1 support.

    • http://www.nexsoftware.net Justin Shapcott

      Only problem there is that the GPU reports support for this particular extension. Note also that the CLIQ uses the EXACT same processor as is present in the G1.

  • Pingback: CLIQ updated but still outdated – Android and Me()